Description: Hi !

We have a problem regarding annotate command on our server.

When attempting to launch the annotate command we have the following error :

Gtk-WARNING **: cannot open display: at /usr/lib/x86_64-linux-gnu/perl5/5.24/Gtk2.pm line 126.

So in /sur/share/perl5/AMC/Annotate.pm code whe did this :

package AMC::Annotate;

# do not use -init ?
#use Gtk2 -init;
use Gtk2;

And this seems to work in our use case.

Is this a solution or will it have side/unwanted effects on other use cases ?

Thanks 

History
10/19/2017 02:22 pm - Alexis Bienvenüe
- Target version set to 1.4.0

I think this is a solution. Thanks!

10/19/2017 02:41 pm - Patrick Guillou
Great !

02/08/2018 02:07 pm - Alexis Bienvenüe
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:6c83b64dd6ae.

03/06/2018 09:28 am - Alexis Bienvenüe
- Status changed from Resolved to Closed
